{% extends 'proj/base.html' %}

{% block scripts %}
{% load static %}
<script src="{% static 'dygraph.min.js' %}"></script>
<link rel="stylesheet" href="{% static 'dygraph.css' %}" type="text/css">
{% endblock %}

{% block content %}
    <div style="margin-left:50px">
    {% if not ip %}
    <h2>Request history</h2>
    <div id="graphdiv" style="width:80%"></div>
    <p><a style="cursor: pointer"  onclick="toggleCount()">toggle total visibility</a></p>
    {% endif %}
        <h2>Last {{ n }} requests / {{ total }} {% if ip %} from {{ ip }} [<a href="{% url 'proj:metric' %}">X</a>]{% endif %}</h2>
        {% if ip %}
        <p><a href="{% url 'proj:metric_by_ip' ip %}?n=100">100</a> -
        <a href="{% url 'proj:metric_by_ip' ip %}?n=200">200</a> -
        <a href="{% url 'proj:metric_by_ip' ip %}?n=500">500</a> -
        <a href="{% url 'proj:metric_by_ip' ip %}?n=1000">1000</a></p>
        {% else %}
        <p><a href="{% url 'proj:metric' %}?n=100">100</a> -
        <a href="{% url 'proj:metric' %}?n=200">200</a> -
        <a href="{% url 'proj:metric' %}?n=500">500</a> -
        <a href="{% url 'proj:metric' %}?n=1000">1000</a></p>
        {% endif %}
    <ul>
    {% for rm in requestmetric_list %}
        <li>
            <a style="color:blue" href="{% url 'proj:metric_by_ip' rm.ip %}">{{rm.ip}}</a> on <span style="color:red">{{rm.date}}</span>
            <span style="color:gray">({{rm.nav}})</span>
            <br><b><a href="{% url 'proj:index' %}?{{rm.url}}">[link]</a></b> {{rm.url_as_list}}
        </li>
    {% endfor %}
    </ul>
    </div>

{% if not ip %}
<script type="text/javascript">
    graph = new Dygraph(document.getElementById('graphdiv'),
        "{% url 'proj:metric_csv' %}"
    );
    function toggleCount(){
        var v = graph.visibility()[ 0 ];
        graph.setVisibility(0, !v);
    }
</script>
{% endif %}
{% endblock %}
